anwendungsspezifische File Meta Information schreiben
2004-08-03 00:00 - Jorg Riesmeier

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour

Target version:
Module: dcmdata Compiler:

Operating System:

Description

Momentan ersetzt die Schreibroutine in dcmdata einige Angaben im Meta-Header
immer durch die des Toolkits. Dies ist im allgemeinen auch sicherlich sinnvoll,
sollte aber ggf. fuer bestimmte Anwendungen abgeschaltet werden koennen. Zum
Beispiel fuer dump2dcm und xml2dcm: hier wird der eingelesene Meta-Header
bislang (mehr oder weniger) ignoriert.

=== Nachtrag JR (2009-08-21) ===

Der neue writeMode "EWM_dontUpdateMeta" erlaubt es, den Meta-Header zu schreiben, ohne ihn vorher zu aktualisieren. Achtung,
dies gilt auch fiir die Gruppenlange und die Transfersyntax!

History

#1 - 2025-08-29 18:05 - Marco Eichelberg
- Description updated
- Status changed from New to Closed

- % Done changed from 0 to 100

In mode EWM_updateMeta, only the SOP Class UID, the SOP Instance UID and the metaheader group length are updated. With
EWM_dontUpdateMeta, the metaheader is fully under user control. That offers all functionality needed.
